int flag1 = 0;
int flag2 = 0;
int flag3 = 0;
char *str1 = "ICPDAS";
char *str2 = "";
char *str3 = "Hello World!";
char *str4 = "ICPDAS Product";


void CheckBoxWidget82OnChange(tWidget *pWidget, unsigned long bSelected)
{


  if(flag1 == 0)
  {
    flag1 =1 ;
    flag2 =0 ;
    flag3 =0;
    CheckBoxSelectedSet(&CheckBoxWidget84 , 1);
    WidgetPaint((tWidget*)&CheckBoxWidget84);
    CanvasTextSet(&LabelWidget86 ,str1 );
    WidgetPaint((tWidget*)&LabelWidget86);

    CheckBoxSelectedSet(&CheckBoxWidget87 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget87);
    CheckBoxSelectedSet(&CheckBoxWidget85 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget85);


  }
  else
  {

    flag1 = 0;
    flag2 = 0;
    flag3 = 0;
    CheckBoxSelectedSet(&CheckBoxWidget84 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget84);
    CanvasTextSet(&LabelWidget86 ,str2 );
    WidgetPaint((tWidget*)&LabelWidget86);

    CheckBoxSelectedSet(&CheckBoxWidget87 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget87);
    CheckBoxSelectedSet(&CheckBoxWidget85 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget85);


  }

}


void CheckBoxWidget83OnChange(tWidget *pWidget, unsigned long bSelected)
{

  if(flag2 == 0)
  {

    flag2 = 1;
    flag1 = 0;
    flag3 = 0;
    CheckBoxSelectedSet(&CheckBoxWidget85 , 1);
    WidgetPaint((tWidget*)&CheckBoxWidget85);
    CanvasTextSet(&LabelWidget86 ,str3 );
    WidgetPaint((tWidget*)&LabelWidget86);

    CheckBoxSelectedSet(&CheckBoxWidget84 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget84);
    CheckBoxSelectedSet(&CheckBoxWidget87 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget87);


  }
  else
  {

    flag2 = 0;
    flag1 = 0;
    flag3 = 0;
    CheckBoxSelectedSet(&CheckBoxWidget85 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget85);
    CanvasTextSet(&LabelWidget86 ,str2 );
    WidgetPaint((tWidget*)&LabelWidget86);

    CheckBoxSelectedSet(&CheckBoxWidget84 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget84);
    CheckBoxSelectedSet(&CheckBoxWidget87 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget87);


  }
}


void CheckBoxWidget85OnChange(tWidget *pWidget, unsigned long bSelected)
{
    if(flag3 == 0)
    {
       flag3 = 1 ;
       flag1 = 0 ;
       flag2 = 0 ;

    CheckBoxSelectedSet(&CheckBoxWidget87 , 1);
    WidgetPaint((tWidget*)&CheckBoxWidget87);
    CanvasTextSet(&LabelWidget86 ,str4 );
    WidgetPaint((tWidget*)&LabelWidget86);

    CheckBoxSelectedSet(&CheckBoxWidget84 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget84);
    CheckBoxSelectedSet(&CheckBoxWidget85 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget85);
    }
    else
    {
     flag1 = 0;
     flag2 = 0;
     flag3 = 0;

     CheckBoxSelectedSet(&CheckBoxWidget87 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget87);
    CanvasTextSet(&LabelWidget86 ,str2 );
    WidgetPaint((tWidget*)&LabelWidget86);

    CheckBoxSelectedSet(&CheckBoxWidget85 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget85);
    CheckBoxSelectedSet(&CheckBoxWidget84 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget84);
    }
}
